Download it now!
Bug 131912 - EDITING: Image anchored "To Character" inside misspelled word is removed when word is corrected with Spell checking
Summary: EDITING: Image anchored "To Character" inside misspelled word is removed when...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Anchor-and-Text-Wrap Spell-Checking
  Show dependency treegraph
 
Reported: 2020-04-05 19:37 UTC by Stephan van den Akker
Modified: 2020-09-16 06:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (80.34 KB, application/vnd.oasis.opendocument.text)
2020-04-30 18:59 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan van den Akker 2020-04-05 19:37:09 UTC
Description:
An image may be inserted while the insertion point is inside a misspelled word. When this word is corrected with Spell checking, the image disappears. This is unexpected and unwanted behaviour for most users.

Steps to Reproduce:
1. Enter a misspelled word
2. Position the insertion point inside the misspelled word
3. Insert an image
4. Use Spell checking to replace the misspelled word

Actual Results:
The image disappears from the document.

Expected Results:
The image should remain in the document, not changing it's position or any other property.


Reproducible: Always


User Profile Reset: No



Additional Info:
As of version 6.4 the default behaviour when inserting images is to anchor "To Character". In older versions of LO changing anchoring "To Character" was presumably only done by advanced users that would know about this side effect. 

Now all users are exposed to this side effect of anchoring "To Character". For most it will come as an unpleasant surprise.

Therefore I set the version of this bug to 6.4 release.
Comment 1 Dieter 2020-04-21 14:07:49 UTC
I confirm it with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 1c9ced04189c9d23ffea05d5570960b54b05ef28
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: CL
Comment 2 Telesto 2020-04-30 18:59:19 UTC
Created attachment 160149 [details]
Example file
Comment 3 Telesto 2020-04-30 19:03:08 UTC
Repro with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL


but not with
Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Comment 4 Attila Baraksó (NISZ) 2020-05-01 13:53:37 UTC
Bibisected using bibisect-win64-6.4 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=28b77c89dfcafae82cf2a6d85731b643ff9290e5
author: Michael Stahl <Michael.Stahl@cib.de>
committer: Michael Stahl <Michael.Stahl@cib.de>
summary: tdf#117185 tdf#110442 sw: bring harmony & peace to fly at-char selection

Adding Cc: Michael Stahl
Comment 5 Michael Stahl (CIB) 2020-06-12 13:49:40 UTC
fixed on master
Comment 6 Commit Notification 2020-06-12 13:50:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e1629c210ad78310e3d48c0756723134a27b89df

tdf#131912 sw: fix spell check correct deleting flys

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-12 16:10:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/9e746242a5dc4fd79ed8214c5508bade60d325ca

tdf#131912 sw: fix spell check correct deleting flys

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Stephan van den Akker 2020-06-13 11:48:26 UTC
Confirmed PRESENT in:

Version: 7.1.0.0.alpha0+
Build ID: ff508f6d8a3e58d29e9e7622006a7103fb0a2849
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5
Locale: en-GB (en_GB.UTF-8); UI: en-GB
Calc: threaded

(git pull before commit e1629c210ad78310e3d48c0756723134a27b89df)

Confirmed FIXED in:

Version: 7.1.0.0.alpha0+
Build ID: c98affa44e3f61279ae9fe052dbcfbda0c58838e
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: kf5
Locale: en-GB (en_GB.UTF-8); UI: en-GB
Calc: threaded

(git pull after commit e1629c210ad78310e3d48c0756723134a27b89df)
Comment 9 Commit Notification 2020-06-14 19:57:51 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d6b0e84b236b78f4b21bd16e46dda3fa0876096d

tdf#131912 sw: fix spell check correct deleting flys

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.